
/* ============================================================================
 
 *
 * ============================================================================
 * PROVIDED AS-IS, NO WARRANTY OF ANY KIND, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * FREE TO SHARE, USE AND MODIFY UNDER TERMS: CREATIVE COMMONS - SHARE ALIKE
 * ============================================================================
*/


#ifndef `$INSTANCE_NAME`_H
#define `$INSTANCE_NAME`_H

#include <project.h>




#define true  1 // but not True
#define false 0 // but not False
    
    
/***************************************
*   Conditional Compilation Parameters
***************************************/
#define `$INSTANCE_NAME`_BUS_WIDTH              `=$bus_width                `   // output bus width
#define `$INSTANCE_NAME`_ISR_MASK               `=$isr_mask                 `   // isr_mask
#define `$INSTANCE_NAME`_ISR_ENABLE             `=$isr_enable               `   // isr_enable
#define `$INSTANCE_NAME`_STATUS_MODE            `=$status_mode              `   // status mode (0) transparent, (1) sticky
     
    
/***************************************
*           API Constants
***************************************/   



/***************************************
*           Registers
***************************************/    
//#define `$INSTANCE_NAME`_sts0_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_StatusByte0__STATUS_REG)  
//#define `$INSTANCE_NAME`_sts1_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_StatusByte1__STATUS_REG)
//#define `$INSTANCE_NAME`_sts2_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_StatusByte2__STATUS_REG)
//#define `$INSTANCE_NAME`_sts3_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_StatusByte3__STATUS_REG)
#define `$INSTANCE_NAME`_sts0_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_byte0_Status__STATUS_REG)  
#define `$INSTANCE_NAME`_sts1_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_byte1_Status__STATUS_REG)
#define `$INSTANCE_NAME`_sts2_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_byte2_Status__STATUS_REG)
#define `$INSTANCE_NAME`_sts3_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_byte3_Status__STATUS_REG)    
    

//#define `$INSTANCE_NAME`_mask0_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_StatusByte0__MASK)  
//#define `$INSTANCE_NAME`_mask1_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_StatusByte1__MASK)
//#define `$INSTANCE_NAME`_mask2_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_StatusByte2__MASK)
//#define `$INSTANCE_NAME`_mask3_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_StatusByte3__MASK)
#define `$INSTANCE_NAME`_mask0_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_byte0_Status__MASK)  
#define `$INSTANCE_NAME`_mask1_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_byte1_Status__MASK)
#define `$INSTANCE_NAME`_mask2_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_byte2_Status__MASK)
#define `$INSTANCE_NAME`_mask3_PTR	((reg8 *)  `$INSTANCE_NAME`_sStatus_byte3_Status__MASK)


/***************************************
*           Properties
***************************************/   

    
/***************************************
*        Function Prototypes
***************************************/
    
//void   `$INSTANCE_NAME`_Write(uint32 val);    // 
uint32 `$INSTANCE_NAME`_Read();                 //
void   `$INSTANCE_NAME`_WriteMask(uint32 val);  //
uint32 `$INSTANCE_NAME`_ReadMask();             //
//void   `$INSTANCE_NAME`_InterruptEnable();      //
//void   `$INSTANCE_NAME`_InterruptDisable();     //




#endif
/* [] END OF FILE */
